# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/ocamlc /usr/bin/ocamlc.opt /usr/bin/ocamldep /usr/bin/ocamllex /usr/bin/ocamllex.opt /usr/bin/ocamlopt /usr/bin/ocamlopt.opt /usr/bin/pdflatex /usr/bin/perl
# END SourceDeps(oneline)
%global opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
# Debuginfo is not useful for OCaml programs since gdb doesn't know about OCaml
%global debug_package %{nil}

Name:           bibtex2html
Version:        1.97
Release:        alt1_2
Summary:        Collection of tools for translating from BibTeX to HTML

Group:          Publishing
License:        GPLv2
URL:            http://www.lri.fr/~filliatr/bibtex2html/index.en.html
Source0:        http://www.lri.fr/~filliatr/ftp/bibtex2html/%{name}-%{version}.tar.gz

BuildRequires:  ocaml >= 3.10.0
BuildRequires:  perl
BuildRequires:  /usr/bin/latex texlive-latex-recommended
BuildRequires:  hevea

ExcludeArch: sparc64 s390 s390x ppc64
Source44: import.info

%description
bibtex2html is a collection of tools for translating from BibTeX to HTML. 
They allow to produce, from a set of bibliography files in BibTeX format, 
a bibliography in HTML format.

%prep
%setup -q
sed -i 's/-cclib -lstr//' Makefile.in
for file in CHANGES README ; do
   mv $file timestamp && \
   iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp && \
   touch -r timestamp $file && \
   rm timestamp
done

%build
%configure 
make %{?_smp_mflags}

%install
%{__perl} -pi -e 's|^BINDIR=.*|BINDIR=%{buildroot}%{_bindir}|g;' Makefile
%{__perl} -pi -e 's|^MANDIR =.*|MANDIR=%{buildroot}%{_mandir}|g;' Makefile
make install 

%files
%doc CHANGES README GPL COPYING manual.pdf manual.html 
%{_mandir}/man1/*.1.*
%{_bindir}/*


%changelog
* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.97-alt1_2
- update to new release by fcimport

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 1.97-alt1_1
- converted for Sisyphus

